04 Apr 2022 14:55 - John Abbott

Status: Rejected Start date: 04 Apr 2022

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Documentation Estimated time: 1.50 hour

Target version: CoCoALib-0.99850 Spent time: 1.45 hour

Description

Should we include txt2tags in the source distribution, so that developers can write (& check) documentation?

If so, how?  Are there licencing problems?  Which version of txt2tags?

Related issues:

Related to CoCoALib - Bug #1662: txt2tags: problem with filenames containing ... Resolved 11 Feb 2022

History

#1 - 04 Apr 2022 15:01 - John Abbott

Just spoken to Anna about this.

The main advantage is that this would allow "developers" to rebuild the documentation

without having to install txt2tags themselves (presumably python must be installed).

A notable disadvantage is that if we include a buggy version of txt2tags then we will

be proliferating the bug (think about the log4j fiasco).

JAA does not think that there should be licensing problems.

How large would txt2tags be?  Exactly which files are needed?  Where should we put it/them in the tree structure?

This is not really urgent: the current workaround is to install txt2tags (latest version, right?).

Maybe it can be added in a "point release" e.g. 0.99801

#2 - 10 Apr 2022 11:28 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I have now modified the Makefile so that it prints out a helpful message if txt2tags is not found (saying where to obtain it).

Seems a tolerable solution for the moment.

#3 - 10 Apr 2022 11:29 - John Abbott

- Related to Bug #1662: txt2tags: problem with filenames containing "_" or "-" added

#4 - 10 Apr 2022 18:23 - John Abbott

- % Done changed from 10 to 40
I have modified release-source.sh so that it does not copy txt2tags.

#5 - 07 Oct 2022 15:20 - John Abbott

- % Done changed from 40 to 50

6 months later I still think it is best not to distribute txt2tags within our source tree.

I suggest closing this issue.

#6 - 04 Nov 2022 14:31 - John Abbott

- Status changed from In Progress to Rejected

- Assignee set to John Abbott

- % Done changed from 50 to 100

- Estimated time set to 1.50 h

We should probably distribute source code with precompiled doc so no one actually needs txt2tags.
